NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchEllipseBuilder Class Reference

Represents a NXOpen.SketchEllipseBuilder builder More...

Inheritance diagram for NXOpen.SketchEllipseBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void HandleComplement ()
 Adjust the constraints and dimensions on ellipse vertices when we want to complement the ellipse More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Point CenterPoint [get, set]
 Returns or sets the center point More...
 
unsafe bool Closed [get, set]
 Returns or sets the closed flag More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the end angle More...
 
unsafe NXOpen.Point MajorPoint [get, set]
 Returns or sets the point in major axis to calculate the major radius More...
 
unsafe NXOpen.Expression MajorRadius [get]
 Returns the major radius More...
 
unsafe NXOpen.Point MinorPoint [get, set]
 Returns or sets the point in minor axis to calculate the minor radius More...
 
unsafe NXOpen.Expression MinorRadius [get]
 Returns the minor radius More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the rotation angle More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start angle More...
 

Detailed Description

Represents a NXOpen.SketchEllipseBuilder builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchEllipseBuilder

Default values.

Property Value

Closed

true

EndAngle.Value

360

MajorRadius.Value

50 (millimeters part), 2 (inches part)

MinorRadius.Value

25 (millimeters part), 1 (inches part)

RotationAngle.Value

0

StartAngle.Value

0

Created in NX6.0.0

Member Function Documentation

unsafe void NXOpen.SketchEllipseBuilder.HandleComplement ( )

Adjust the constraints and dimensions on ellipse vertices when we want to complement the ellipse

Created in NX10.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.Point NXOpen.SketchEllipseBuilder.CenterPoint
getset

Returns or sets the center point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.SketchEllipseBuilder.Closed
getset

Returns or sets the closed flag

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.SketchEllipseBuilder.EndAngle
get

Returns the end angle

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.SketchEllipseBuilder.MajorPoint
getset

Returns or sets the point in major axis to calculate the major radius

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.SketchEllipseBuilder.MajorRadius
get

Returns the major radius

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.SketchEllipseBuilder.MinorPoint
getset

Returns or sets the point in minor axis to calculate the minor radius

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.SketchEllipseBuilder.MinorRadius
get

Returns the minor radius

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.SketchEllipseBuilder.RotationAngle
get

Returns the rotation angle

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.SketchEllipseBuilder.StartAngle
get

Returns the start angle

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.